commit:     5d6ebd23a6b940ae33a525317c5ceb4e3803e37c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 08:31:26 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 22 09:12:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d6ebd23

dev-python/txAMQP: Bump to 0.7.0, add tests

 dev-python/txAMQP/Manifest            |  1 +
 dev-python/txAMQP/txAMQP-0.7.0.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/txAMQP/Manifest b/dev-python/txAMQP/Manifest
index a200d6f40b5..4cb12c9b4f4 100644
--- a/dev-python/txAMQP/Manifest
+++ b/dev-python/txAMQP/Manifest
@@ -1 +1,2 @@
 DIST txAMQP-0.6.2.tar.gz 20749 SHA256 
ab70a5e443d7aa4488e48d683ad32cf152e1a347198dafdd5d87a42643d61cf0 SHA512 
676797a5ae4e013d3cbf42e94f2a3e0421c9db0056e2abaee7bfacbb2b31b50948b5ac51d389ba6f8c609207a294c35ee9359813f3151f37d049092bd1aed78a
 WHIRLPOOL 
aa0fb96ae068ec67e0e1f4ce545b4e20067eb5acf7c993b21144d0a55fc67de1afd2c00d87783f5933e015e43f83b3cf871414fea5eaf16c2643914a81d1822e
+DIST txamqp-0.7.0.tar.gz 117964 SHA256 
8ba99b861270c56fa0e574ef1c9a1eb86b72464470617976fcd2669af0e6b23e SHA512 
8af8dee44885fce6a8015fc3763ff1fd6a3effb8cc954b5ee2baed7c652a34440df4c6d8360b22930dc5b488e9965c3f8ad4ff8d49604ad80e31b6de70c233c5
 WHIRLPOOL 
dfbfc6bfc917f833bb7dfc6a64e4c11b6451b2b34c7b61c908802c1703e2a1917edaf386b7a8cb72aacceef81f93b4634ce13dbd73474b8756d1480b80097d6e

diff --git a/dev-python/txAMQP/txAMQP-0.7.0.ebuild 
b/dev-python/txAMQP/txAMQP-0.7.0.ebuild
new file mode 100644
index 00000000000..f93060b1727
--- /dev/null
+++ b/dev-python/txAMQP/txAMQP-0.7.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit distutils-r1
+
+MY_P=${PN,,}-${PV}
+DESCRIPTION="Python library for communicating with AMQP peers using Twisted"
+HOMEPAGE="https://github.com/txamqp/txamqp";
+# pypi tarball misses necessary test files
+SRC_URI="https://github.com/txamqp/txamqp/archive/${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~x64-solaris"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/twisted-core[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               net-misc/rabbitmq-server
+       )"
+
+S=${WORKDIR}/${MY_P}
+
+# Tests connect to the system rabbitmq server
+# TODO: figure out how to start an isolated instance
+RESTRICT="test"
+
+python_test() {
+       cd src || die
+       # tests look for those files relatively to modules
+       cp -r specs "${BUILD_DIR}"/lib || die
+
+       TXAMQP_BROKER=RABBITMQ trial txamqp
+       local ret=${?}
+
+       # avoid installing spec files
+       rm -r "${BUILD_DIR}"/lib/specs || die
+
+       [[ ${ret} == 0 ]] || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       local DOCS=( doc/* )
+
+       distutils-r1_python_install_all
+}

Reply via email to